PETSc version 3.15.5
Fix/Edit manual page

# MatMatRestrict

Y = A*X or A'*X

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMatRestrict(Mat A,Mat x,Mat *y)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the matrix
| x | - the input dense matrix

### Output Parameters

| y | - the output dense matrix

### Notes

This allows one to use either the restriction or interpolation (its transpose) matrix to do the restriction. y matrix can be reused if already created with the proper sizes, otherwise it will be recreated. y must be initialized to NULL if not supplied.

### See Also

MatRestrict(), MatInterpolate(), MatMatInterpolate()

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages